Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for CICS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.cicsadapter.alerts
Class CICSAlertCodes

    java.lang.Object
      com.stc.connector.cicsadapter.alerts.CICSAlertCodes

All Implemented Interfaces:
  com.stc.connector.management.jca.system.mbeans.AlertCodeMap

    public class CICSAlertCodes

extends java.lang.Object
implements com.stc.connector.management.jca.system.mbeans.AlertCodeMap

Field Summary
`static java.lang.String` | `CICSCLIENT_EWAY_CONFIG_FAILED` CicsClient eWay configuration fail alert
`static java.lang.String` | `CICSCLIENT_EWAY_CONNECTION_FAILED` CicsClient eWay connection fail alert
`static java.lang.String` | `CICSCLIENT_EWAY_RUNNING` CicsClient eWay running status code.
`static java.lang.String` | `CICSCLIENT_EWAY_STARTED` CicsClient eWay started status code.
`static java.lang.String` | `CICSCLIENT_EWAY_STOPPED` CicsClient eWay stopped status code.
`static java.lang.String` | `CICSCLIENT_EWAY_STOPPING` CicsClient eWay stopping status code.
`static java.lang.String` | `CICSCLIENT_EWAY_SUSPENDED` CicsClient eWay suspended status code.
`static java.lang.String` | `CICSCLIENT_EWAY_SUSPENDING` CicsClient eWay suspending status code.

Constructor Summary
`CICSAlertCodes()`

Method Summary
`java.lang.String` | `getMapping(java.lang.String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CICSCLIENT_EWAY_STARTED

    public static final java.lang.String CICSCLIENT_EWAY_STARTED

  CicsClient eWay started status code.

  See Also:
    Constant Field Values

### CICSCLIENT_EWAY_RUNNING

    public static final java.lang.String CICSCLIENT_EWAY_RUNNING

  CicsClient eWay running status code.

  See Also:
    Constant Field Values

### CICSCLIENT_EWAY_STOPPING

    public static final java.lang.String CICSCLIENT_EWAY_STOPPING

  CicsClient eWay stopping status code.

  See Also:
    Constant Field Values

### CICSCLIENT_EWAY_STOPPED

    public static final java.lang.String CICSCLIENT_EWAY_STOPPED

  CicsClient eWay stopped status code.

  See Also:
    Constant Field Values

### CICSCLIENT_EWAY_SUSPENDING

    public static final java.lang.String CICSCLIENT_EWAY_SUSPENDING

  CicsClient eWay suspending status code.

  See Also:
    Constant Field Values

### CICSCLIENT_EWAY_SUSPENDED

    public static final java.lang.String CICSCLIENT_EWAY_SUSPENDED

  CicsClient eWay suspended status code.

  See Also:
    Constant Field Values

### CICSCLIENT_EWAY_CONFIG_FAILED

    public static final java.lang.String CICSCLIENT_EWAY_CONFIG_FAILED

  CicsClient eWay configuration fail alert

  See Also:
    Constant Field Values

### CICSCLIENT_EWAY_CONNECTION_FAILED

    public static final java.lang.String CICSCLIENT_EWAY_CONNECTION_FAILED

  CicsClient eWay connection fail alert

  See Also:
    Constant Field Values

Constructor Detail

### CICSAlertCodes

    public CICSAlertCodes()

Method Detail

### getMapping

    public java.lang.String getMapping(java.lang.String key)

  Specified by:
    `getMapping` in interface `com.stc.connector.management.jca.system.mbeans.AlertCodeMap`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for CICS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD